Bug 833641 - Review Request: eclipse-wtp-jpa - Eclipse tools for definition of (O/R) mappings for JPA entities
Review Request: eclipse-wtp-jpa - Eclipse tools for definition of (O/R) mappi...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 834970 837726
  Show dependency treegraph
 
Reported: 2012-06-19 22:02 EDT by Gerard Ryan
Modified: 2012-08-09 19:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-09 19:20:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgoldman: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Gerard Ryan 2012-06-19 22:02:04 EDT
Spec URL: http://galileo.fedorapeople.org/eclipse-wtp-jpa/3.4.0/0.1.20120619cvs/eclipse-wtp-jpa.spec
SRPM URL: http://galileo.fedorapeople.org/eclipse-wtp-jpa/3.4.0/0.1.20120619cvs/eclipse-wtp-jpa-3.4.0-0.1.20120619cvs.fc17.src.rpm

Description:
The Dali Java Persistence Tools Project provides extensible frameworks and tools
for the definition and editing of Object-Relational (O/R) mappings for Java
Persistence API (JPA) entities. JPA mapping support focuses on minimizing the
complexity of mapping by providing entity generation wizards, design-time
validation, and a rich UI for entity and persistence unit configuration.

Fedora Account System Username: galileo
Comment 1 Gerard Ryan 2012-06-24 20:41:23 EDT
This may depend on bug #834956 - I can't fully remember. When eclipse-wtp-jeetools (bug #833154) gets approved, I will check it.
Comment 2 Marek Goldmann 2012-07-05 05:55:37 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[!]  Rpmlint output:

rpmlint SPECS/eclipse-wtp-jpa.spec 
SPECS/eclipse-wtp-jpa.spec: W: invalid-url Source0: eclipse-wtp-jpa-3.4.0-HEAD-20120619cvs.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

rpmlint SRPMS/eclipse-wtp-jpa-3.4.0-0.1.20120619cvs.fc17.src.rpm 
eclipse-wtp-jpa.src: W: invalid-url Source0: eclipse-wtp-jpa-3.4.0-HEAD-20120619cvs.tar.xz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

rpmlint RPMS/noarch/eclipse-wtp-jpa-3.4.0-0.1.20120619cvs.fc17.noarch.rpm 
eclipse-wtp-jpa.noarch: W: dangling-symlink /usr/share/eclipse/dropins/wtp-jpa/eclipse/plugins/velocity.jar /usr/share/java/velocity.jar
eclipse-wtp-jpa.noarch: W: dangling-symlink /usr/share/eclipse/dropins/wtp-jpa/eclipse/plugins/apache-commons-collections.jar /usr/share/java/apache-commons-collections.jar
eclipse-wtp-jpa.noarch: W: dangling-symlink /usr/share/eclipse/dropins/wtp-jpa/eclipse/plugins/jdom.jar /usr/share/java/jdom.jar
eclipse-wtp-jpa.noarch: W: dangling-symlink /usr/share/eclipse/dropins/wtp-jpa/eclipse/plugins/apache-commons-lang.jar /usr/share/java/apache-commons-lang.jar
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

rpmlint RPMS/noarch/eclipse-wtp-jpa-sdk-3.4.0-0.1.20120619cvs.fc17.noarch.rpm 
eclipse-wtp-jpa-sdk.noarch: W: no-documentation
eclipse-wtp-jpa-sdk.noarch: W: hidden-file-or-dir /usr/share/eclipse/dropins/wtp-jpa-sdk/eclipse/plugins/org.eclipse.jpt.jpa.feature.source_3.2.0.201207051009/src/org.eclipse.persistence.jpa.jpql_2.1.0.201207051009/.settings
eclipse-wtp-jpa-sdk.noarch: W: hidden-file-or-dir /usr/share/eclipse/dropins/wtp-jpa-sdk/eclipse/plugins/org.eclipse.jpt.jpa.feature.source_3.2.0.201207051009/src/org.eclipse.persistence.jpa.jpql_2.1.0.201207051009/.settings
eclipse-wtp-jpa-sdk.noarch: W: hidden-file-or-dir /usr/share/eclipse/dropins/wtp-jpa-sdk/eclipse/plugins/org.eclipse.jpt.jpa.feature.source_3.2.0.201207051009/src/org.eclipse.persistence.jpa.jpql_2.1.0.201207051009/.project
eclipse-wtp-jpa-sdk.noarch: W: hidden-file-or-dir /usr/share/eclipse/dropins/wtp-jpa-sdk/eclipse/plugins/org.eclipse.jpt.jpa.feature.source_3.2.0.201207051009/src/org.eclipse.persistence.jpa.jpql_2.1.0.201207051009/.classpath
1 packages and 0 specfiles checked; 0 errors, 5 warnings.

See note #1.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: EPL
[-]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[-]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : 27448ce7e929a9aba25d0144fb198c52
MD5SUM upstream package: 8c6863d6b5b336fbc646a3866d653a62

CVS export, OK.

[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[-]  Javadoc documentation files are generated and included in -javadoc subpackage
[-]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[-]  Packages have proper BuildRequires/Requires on jpackage-utils
[-]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[!]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)

Please add the instructions mentioning the fetch-wtp-jpa.sh file

[x]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[-]  If package contains pom.xml files install it (including depmaps) even when building with ant
[-]  pom files has correct add_maven_depmap

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[!]  Reviewer should test that the package builds in mock.
Tested on:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4219398

=== Issues ===
1. Please add the instructions how to generate the tarball.
2. Build fails: http://kojipkgs.fedoraproject.org//work/tasks/9398/4219398/build.log

=== Final Notes ===
1. Since there are dangling symlinks, the best idea is to Require packages for these symlinks, please add apache-commons-collections amd apache-commons-lang to Requires and BuildRequires.
2. Remove this line:

Source1:  fetch-wtp-jpa.sh

It's not necessary.
Comment 3 Gerard Ryan 2012-07-05 13:02:51 EDT
Spec URL: http://galileo.fedorapeople.org/eclipse-wtp-jpa/3.4.0/0.2.20120619cvs/eclipse-wtp-jpa.spec
SRPM URL: http://galileo.fedorapeople.org/eclipse-wtp-jpa/3.4.0/0.2.20120619cvs/eclipse-wtp-jpa-3.4.0-0.2.20120619cvs.fc17.src.rpm

=== Issues ===
1. Please add the instructions how to generate the tarball.
DONE

2. Build fails: http://kojipkgs.fedoraproject.org//work/tasks/9398/4219398/build.log
DONE - http://koji.fedoraproject.org/koji/taskinfo?taskID=4220316
- I don't know why it wasn't building for you before

=== Final Notes ===
1. Since there are dangling symlinks, the best idea is to Require packages for these symlinks, please add apache-commons-collections amd apache-commons-lang to Requires and BuildRequires.
DONE

2. Remove this line: Source1:  fetch-wtp-jpa.sh
DONE

Thank you! :)
Comment 4 Marek Goldmann 2012-07-06 03:33:34 EDT
Awesome, thank you!

================
*** APPROVED ***
================
Comment 5 Gerard Ryan 2012-07-06 08:04:17 EDT
New Package SCM Request
=======================
Package Name: eclipse-wtp-jpa
Short Description: Eclipse tools for definition of (O/R) mappings for JPA entities
Owners: galileo
Branches: f17
InitialCC:
Comment 6 Gwyn Ciesla 2012-07-06 09:11:50 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-07-06 11:53:26 EDT
eclipse-wtp-jpa-3.4.0-0.2.20120619cvs.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/eclipse-wtp-jpa-3.4.0-0.2.20120619cvs.fc17
Comment 8 Fedora Update System 2012-07-06 17:27:32 EDT
eclipse-wtp-jpa-3.4.0-0.2.20120619cvs.fc17 has been pushed to the Fedora 17 testing repository.
Comment 9 Fedora Update System 2012-07-30 21:36:31 EDT
eclipse-wtp-jpa-3.4.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/eclipse-wtp-jpa-3.4.0-2.fc17
Comment 10 Fedora Update System 2012-08-09 19:20:30 EDT
eclipse-wtp-jpa-3.4.0-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.